Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalTabbedPaneUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TabbedPaneUI
                  |
                  +--javax.swing.plaf.basic.BasicTabbedPaneUI
                        |
                        +--javax.swing.plaf.metal.MetalTabbedPaneUI

public class MetalTabbedPaneUI
extends BasicTabbedPaneUI

The Metal subclass of BasicTabbedPaneUI.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner Class Summary
`class` | `MetalTabbedPaneUI.TabbedPaneLayout` This inner class is marked "public" due to a compiler bug.

Inner classes inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`BasicTabbedPaneUI.FocusHandler, BasicTabbedPaneUI.MouseHandler, BasicTabbedPaneUI.PropertyChangeHandler, BasicTabbedPaneUI.TabbedPaneLayout, BasicTabbedPaneUI.TabSelectionHandler`

Field Summary
`protected int` | `minTabWidth`
`protected java.awt.Color` | `selectColor`
`protected java.awt.Color` | `selectHighlight`
`protected java.awt.Color` | `tabAreaBackground`

Fields inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`contentBorderInsets, darkShadow, downKey, focus, focusListener, highlight, leftKey, lightHighlight, maxTabHeight, maxTabWidth, mouseListener, propertyChangeListener, rects, rightKey, runCount, selectedRun, selectedTabPadInsets, shadow, tabAreaInsets, tabChangeListener, tabInsets, tabPane, tabRunOverlay, tabRuns, textIconGap, upKey`

Constructor Summary
`MetalTabbedPaneUI()`

Method Summary
`protected int` | `calculateMaxTabHeight(int tabPlacement)`
`protected java.awt.LayoutManager` | `createLayoutManager()`
`static ComponentUI` | `createUI(JComponent x)`
`protected java.awt.Color` | `getColorForGap(int currentRun, int x, int y)`
`protected int` | `getTabLabelShiftX(int tabPlacement, int tabIndex, boolean isSelected)` Overidden to do nothing for the Java L&F.
`protected int` | `getTabLabelShiftY(int tabPlacement, int tabIndex, boolean isSelected)` Overidden to do nothing for the Java L&F.
`protected int` | `getTabRunOverlay(int tabPlacement)`
`protected void` | `installDefaults()`
`void` | `paint(java.awt.Graphics g, JComponent c)`
`protected void` | `paintBottomTabBorder(int tabIndex, java.awt.Graphics g, int x, int y, int w, int h, int btm, int rght, boolean isSelected)`
`protected void` | `paintContentBorderBottomEdge(java.awt.Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
`protected void` | `paintContentBorderLeftEdge(java.awt.Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
`protected void` | `paintContentBorderRightEdge(java.awt.Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
`protected void` | `paintContentBorderTopEdge(java.awt.Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
`protected void` | `paintFocusIndicator(java.awt.Graphics g, int tabPlacement, java.awt.Rectangle[] rects, int tabIndex, java.awt.Rectangle iconRect, java.awt.Rectangle textRect, boolean isSelected)`
`protected void` | `paintHighlightBelowTab()`
`protected void` | `paintLeftTabBorder(int tabIndex, java.awt.Graphics g, int x, int y, int w, int h, int btm, int rght, boolean isSelected)`
`protected void` | `paintRightTabBorder(int tabIndex, java.awt.Graphics g, int x, int y, int w, int h, int btm, int rght, boolean isSelected)`
`protected void` | `paintTabBackground(java.awt.Graphics g, int tabPlacement, int tabIndex, int x, int y, int w, int h, boolean isSelected)`
`protected void` | `paintTabBorder(java.awt.Graphics g, int tabPlacement, int tabIndex, int x, int y, int w, int h, boolean isSelected)`
`protected void` | `paintTopTabBorder(int tabIndex, java.awt.Graphics g, int x, int y, int w, int h, int btm, int rght, boolean isSelected)`
`protected boolean` | `shouldFillGap(int currentRun, int tabIndex, int x, int y)`
`protected boolean` | `shouldPadTabRun(int tabPlacement, int run)`
`protected boolean` | `shouldRotateTabRuns(int tabPlacement, int selectedRun)`
`void` | `update(java.awt.Graphics g, JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`assureRectsCreated, calculateMaxTabWidth, calculateTabAreaHeight, calculateTabAreaWidth, calculateTabHeight, calculateTabWidth, createChangeListener, createFocusListener, createMouseListener, createPropertyChangeListener, expandTabRunsArray, getContentBorderInsets, getFontMetrics, getIconForTab, getMaximumSize, getMinimumSize, getNextTabIndex, getPreferredSize, getPreviousTabIndex, getRunForTab, getSelectedTabPadInsets, getTabAreaInsets, getTabBounds, getTabInsets, getTabRunCount, getTabRunIndent, getTabRunOffset, getVisibleComponent, installKeyboardActions, installListeners, installUI, lastTabInRun, layoutLabel, navigateSelectedTab, paintContentBorder, paintIcon, paintTab, paintText, rotateInsets, selectAdjacentRunTab, selectNextTab, selectPreviousTab, setVisibleComponent, shouldRotateTabRuns, tabForCoordinate, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minTabWidth

    protected int minTabWidth

### tabAreaBackground

    protected java.awt.Color tabAreaBackground

### selectColor

    protected java.awt.Color selectColor

### selectHighlight

    protected java.awt.Color selectHighlight

Constructor Detail

### MetalTabbedPaneUI

    public MetalTabbedPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

### createLayoutManager

    protected java.awt.LayoutManager createLayoutManager()

  Overrides:
    createLayoutManager in class BasicTabbedPaneUI

### installDefaults

    protected void installDefaults()

  Overrides:
    installDefaults in class BasicTabbedPaneUI

### paintTabBorder

    protected void paintTabBorder(java.awt.Graphics g,
                                  int tabPlacement,
                                  int tabIndex,
                                  int x,
                                  int y,
                                  int w,
                                  int h,
                                  boolean isSelected)

  Overrides:
    paintTabBorder in class BasicTabbedPaneUI

### paintTopTabBorder

    protected void paintTopTabBorder(int tabIndex,
                                     java.awt.Graphics g,
                                     int x,
                                     int y,
                                     int w,
                                     int h,
                                     int btm,
                                     int rght,
                                     boolean isSelected)

### shouldFillGap

    protected boolean shouldFillGap(int currentRun,
                                    int tabIndex,
                                    int x,
                                    int y)

### getColorForGap

    protected java.awt.Color getColorForGap(int currentRun,
                                            int x,
                                            int y)

### paintLeftTabBorder

    protected void paintLeftTabBorder(int tabIndex,
                                      java.awt.Graphics g,
                                      int x,
                                      int y,
                                      int w,
                                      int h,
                                      int btm,
                                      int rght,
                                      boolean isSelected)

### paintBottomTabBorder

    protected void paintBottomTabBorder(int tabIndex,
                                        java.awt.Graphics g,
                                        int x,
                                        int y,
                                        int w,
                                        int h,
                                        int btm,
                                        int rght,
                                        boolean isSelected)

### paintRightTabBorder

    protected void paintRightTabBorder(int tabIndex,
                                       java.awt.Graphics g,
                                       int x,
                                       int y,
                                       int w,
                                       int h,
                                       int btm,
                                       int rght,
                                       boolean isSelected)

### update

    public void update(java.awt.Graphics g,
                       JComponent c)

  Overrides:
    update in class ComponentUI

### paintTabBackground

    protected void paintTabBackground(java.awt.Graphics g,
                                      int tabPlacement,
                                      int tabIndex,
                                      int x,
                                      int y,
                                      int w,
                                      int h,
                                      boolean isSelected)

  Overrides:
    paintTabBackground in class BasicTabbedPaneUI

### getTabLabelShiftX

    protected int getTabLabelShiftX(int tabPlacement,
                                    int tabIndex,
                                    boolean isSelected)

  Overidden to do nothing for the Java L&F.
  Overrides:
    getTabLabelShiftX in class BasicTabbedPaneUI

### getTabLabelShiftY

    protected int getTabLabelShiftY(int tabPlacement,
                                    int tabIndex,
                                    boolean isSelected)

  Overidden to do nothing for the Java L&F.
  Overrides:
    getTabLabelShiftY in class BasicTabbedPaneUI

### paint

    public void paint(java.awt.Graphics g,
                      JComponent c)

  Overrides:
    paint in class BasicTabbedPaneUI

### paintHighlightBelowTab

    protected void paintHighlightBelowTab()

### paintFocusIndicator

    protected void paintFocusIndicator(java.awt.Graphics g,
                                       int tabPlacement,
                                       java.awt.Rectangle[] rects,
                                       int tabIndex,
                                       java.awt.Rectangle iconRect,
                                       java.awt.Rectangle textRect,
                                       boolean isSelected)

  Overrides:
    paintFocusIndicator in class BasicTabbedPaneUI

### paintContentBorderTopEdge

    protected void paintContentBorderTopEdge(java.awt.Graphics g,
                                             int tabPlacement,
                                             int selectedIndex,
                                             int x,
                                             int y,
                                             int w,
                                             int h)

  Overrides:
    paintContentBorderTopEdge in class BasicTabbedPaneUI

### paintContentBorderBottomEdge

    protected void paintContentBorderBottomEdge(java.awt.Graphics g,
                                                int tabPlacement,
                                                int selectedIndex,
                                                int x,
                                                int y,
                                                int w,
                                                int h)

  Overrides:
    paintContentBorderBottomEdge in class BasicTabbedPaneUI

### paintContentBorderLeftEdge

    protected void paintContentBorderLeftEdge(java.awt.Graphics g,
                                              int tabPlacement,
                                              int selectedIndex,
                                              int x,
                                              int y,
                                              int w,
                                              int h)

  Overrides:
    paintContentBorderLeftEdge in class BasicTabbedPaneUI

### paintContentBorderRightEdge

    protected void paintContentBorderRightEdge(java.awt.Graphics g,
                                               int tabPlacement,
                                               int selectedIndex,
                                               int x,
                                               int y,
                                               int w,
                                               int h)

  Overrides:
    paintContentBorderRightEdge in class BasicTabbedPaneUI

### calculateMaxTabHeight

    protected int calculateMaxTabHeight(int tabPlacement)

  Overrides:
    calculateMaxTabHeight in class BasicTabbedPaneUI

### getTabRunOverlay

    protected int getTabRunOverlay(int tabPlacement)

  Overrides:
    getTabRunOverlay in class BasicTabbedPaneUI

### shouldRotateTabRuns

    protected boolean shouldRotateTabRuns(int tabPlacement,
                                          int selectedRun)

### shouldPadTabRun

    protected boolean shouldPadTabRun(int tabPlacement,
                                      int run)

  Overrides:
    shouldPadTabRun in class BasicTabbedPaneUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.